import { DMMF } from '@prisma/generator-helper';
import { z } from 'zod';
export declare const configSchema: z.ZodObject<{
    withMiddleware: z.ZodDefault<z.ZodEffects<z.ZodEnum<["true", "false"]>, any, "true" | "false">>;
    withShield: z.ZodDefault<z.ZodEffects<z.ZodEnum<["true", "false"]>, any, "true" | "false">>;
    contextPath: z.ZodDefault<z.ZodString>;
    trpcOptionsPath: z.ZodOptional<z.ZodString>;
    showModelNameInProcedure: z.ZodDefault<z.ZodEffects<z.ZodEnum<["true", "false"]>, any, "true" | "false">>;
    generateModelActions: z.ZodEffects<z.ZodDefault<z.ZodString>, DMMF.ModelAction[], string>;
}, "strip", z.ZodTypeAny, {
    withMiddleware?: any;
    withShield?: any;
    contextPath?: string;
    trpcOptionsPath?: string;
    showModelNameInProcedure?: any;
    generateModelActions?: DMMF.ModelAction[];
}, {
    withMiddleware?: "true" | "false";
    withShield?: "true" | "false";
    contextPath?: string;
    trpcOptionsPath?: string;
    showModelNameInProcedure?: "true" | "false";
    generateModelActions?: string;
}>;
export type Config = z.infer<typeof configSchema>;
