"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configSchema = void 0;
const generator_helper_1 = require("@prisma/generator-helper");
const zod_1 = require("zod");
const configBoolean = zod_1.z
    .enum(['true', 'false'])
    .transform((arg) => JSON.parse(arg));
const modelActionEnum = zod_1.z.nativeEnum(generator_helper_1.DMMF.ModelAction);
exports.configSchema = zod_1.z.object({
    withMiddleware: configBoolean.default('true'),
    withShield: configBoolean.default('true'),
    contextPath: zod_1.z.string().default('../../../../src/context'),
    trpcOptionsPath: zod_1.z.string().optional(),
    showModelNameInProcedure: configBoolean.default('true'),
    generateModelActions: zod_1.z
        .string()
        .default(Object.values(generator_helper_1.DMMF.ModelAction).join(','))
        .transform((arg) => {
        return arg
            .split(',')
            .map((action) => modelActionEnum.parse(action.trim()));
    })
});
//# sourceMappingURL=config.js.map