import { DMMF, GeneratorOptions } from '@prisma/generator-helper';
import { SourceFile } from 'ts-morph';
import { Config } from './config';
export declare const generateCreateRouterImport: ({ sourceFile, config, }: {
    sourceFile: SourceFile;
    config?: Config;
}) => void;
export declare const generatetRPCImport: (sourceFile: SourceFile) => void;
export declare const generateShieldImport: (sourceFile: SourceFile, options: GeneratorOptions) => void;
export declare const generateRouterImport: (sourceFile: SourceFile, modelNamePlural: string, modelNameCamelCase: string) => void;
export declare function generateBaseRouter(sourceFile: SourceFile, config: Config, options: GeneratorOptions): void;
export declare function generateProcedure(sourceFile: SourceFile, name: string, typeName: string, modelName: string, opType: string, baseOpType: string, config: Config): void;
export declare function generateRouterSchemaImports(sourceFile: SourceFile, modelName: string, modelActions: string[]): void;
export declare const getRouterSchemaImportByOpName: (opName: string, modelName: string) => string;
export declare const getInputTypeByOpName: (opName: string, modelName: string) => string;
export declare const getProcedureTypeByOpName: (opName: string) => string;
export declare function resolveModelsComments(models: DMMF.Model[], hiddenModels: string[]): void;
